<template>
  <figure class="flex justify-center items-center p-1 block relative">
    <NuxtImg
      :src="photoUrl"
      :class="{
        'w-auto ': true,
        'h-40': (!isLarge) ? isSmall : false,
        'max-h-40': (!isLarge) ? isSmall : false,
        'max-h-96' : isLarge,
        'object-bottom': true,
        'object-cover': true,
        'rounded-md': true,
      }"
    />
  </figure>
</template>

<script setup lang="ts">
const { photoReference, width, isSmall, isLarge } = defineProps({
  photoReference: {
    type: String,
    default: '',
  },

  width: {
    type: Number,
    default: 160,
  },

  isSmall: {
    type: Boolean,
    default: true,
  },

  isLarge: {
    type: Boolean,
    default: false,
  }
})

const img = useImage()
const config = useRuntimeConfig()

const photoUrl = computed(() => {
  if (!photoReference) {
    return img(`${config.public.apiBase}/images/default.png`, { width: 100 })
  } else {
    return img(`${config.public.apiBase}/restaurants/photo/cover?reference=${photoReference}&width=${width}`, { width: width })
  }
})
</script>
